Package: org.codehaus.groovy.ast

## [Java] Class GenericsType

- org.codehaus.groovy.ast.GenericsType

- This class is used to describe generic type signatures for ClassNodes.

  Authors:
    Jochen Theodorou
  See Also:
    ClassNode

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GenericsType (ClassNode type, ClassNode[] upperBounds, ClassNode lowerBound)`
    `GenericsType (ClassNode basicType)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ClassNode` | `getLowerBound()`
    `String` | `getName()`
    `ClassNode` | `getType()`
    `ClassNode[]` | `getUpperBounds()`
    `boolean` | `isCompatibleWith(ClassNode classNode)` Tells if the provided class node is compatible with this generic type definition
    `boolean` | `isPlaceholder()`
    `boolean` | `isResolved()`
    `boolean` | `isWildcard()`
    `void` | `setName(String name)`
    `void` | `setPlaceholder(boolean placeholder)`
    `void` | `setResolved(boolean res)`
    `void` | `setType(ClassNode type)`
    `void` | `setWildcard(boolean wildcard)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GenericsType(ClassNode type, ClassNode[] upperBounds, ClassNode lowerBound)

    - #### public GenericsType(ClassNode basicType)

  - ### Method Detail

    - #### public ClassNode getLowerBound()

    - #### public String getName()

    - #### public ClassNode getType()

    - #### public ClassNode[] getUpperBounds()

    - #### public boolean isCompatibleWith(ClassNode classNode)

      Tells if the provided class node is compatible with this generic type definition

      Parameters:
        `classNode` - the class node to be checked
      Returns:
        true if the class node is compatible with this generics type definition

    - #### public boolean isPlaceholder()

    - #### public boolean isResolved()

    - #### public boolean isWildcard()

    - #### public void setName(String name)

    - #### public void setPlaceholder(boolean placeholder)

    - #### public void setResolved(boolean res)

    - #### public void setType(ClassNode type)

    - #### public void setWildcard(boolean wildcard)

    - #### public String toString()